## efl 1.22.3

=== debian/changelog ===
efl (1.22.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Aug 2019 10:30:49 -0700

efl (1.22.3-1) experimental; urgency=medium

  * New upstream release.
  * Actually enable compat 12, instead of just debhelper 12
  * efl-doc:
    + drop extra copy of Bitstream Vera, use ttf-bitsream-vera instead
    + avoid shipping build Makefiles with examples.  These are for
      compiling the examples during build.  See the *.mk files for end-user
      example Makefiles.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 24 Aug 2019 17:11:22 -0700

=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
           Ross Vandegrift <rvandegrift@debian.org>,
           Andreas Metzler <ametzler@debian.org>
Build-Depends: autopoint,
               debhelper-compat (= 12),
               libavahi-client-dev,
               libblkid-dev [linux-any],
               libbullet-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgl1-mesa-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgnutls28-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libibus-1.0-dev,
               libinput-dev,
               libjpeg-dev,
               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
               liblz4-dev,
               libmount-dev [linux-any],
               libpixman-1-dev,
               libpng-dev,
               libpoppler-cpp-dev,
               libpulse-dev,
               libraw-dev,
               librsvg2-dev,
               libscim-dev,
               libsndfile-dev,
               libspectre-dev,
               libsystemd-dev,
               libtiff-dev,
               libudev-dev [linux-any],
               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
               libvlc-dev,
               libwayland-dev,
               libwebp-dev,
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               pkg-config,
               systemd,
               wayland-protocols,
               x11proto-xext-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: libeina1a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libeina0, libeina1
Breaks: libecore-bin (<= ${source:Upstream-Version}),
        libedje-bin (<= ${source:Upstream-Version}),
        libeet-bin (<= ${source:Upstream-Version}),
        libeet1 (<= 1.4.0~beta+1.4.0),
        libeeze-bin (<= ${source:Upstream-Version}),
        libefreet-bin (<= ${source:Upstream-Version}),
        libeina-bin (<= ${source:Upstream-Version}),
        libeina1 (<= 1.18.1-2),
        libelementary-bin (<= ${source:Upstream-Version}),
        libelementary-data (<= ${source:Upstream-Version}),
        libelua-bin (<= ${source:Upstream-Version}),
        libembryo-bin (<= ${source:Upstream-Version}),
        libemotion-players (<= ${source:Upstream-Version}),
        libethumb-client-bin (<= ${source:Upstream-Version}),
        libevas-loaders (<= ${source:Upstream-Version}),
        libevas1-engines-drm (<= ${source:Upstream-Version}),
        libevas1-engines-fb (<= ${source:Upstream-Version}),
        libevas1-engines-x (<= ${source:Upstream-Version})
Description: EFL optimized data types
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeina-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL optimized data types - extra tools
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains some additional tools that may be useful for
 debugging eina issues.

Package: libeet1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL file chunk reading/writing
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL file chunk reading/writing - utilities
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libelocation1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL geospatial information management
 Elocation is meant as a convenience library to ease application
 developers the usage of geo information in their apps. Adding a geo
 tag to a picture or translating an address to a GPS position and show
 it on a map widget are just some of the use cases.
 .
 Currently it offer the following functionality:
  - Request current address in textual form
  - Request current position in GPS format
  - Translate a position into and address or an address in a position
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libephysics1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL physics functionality for Evas and Edje
 EPhysics is a library that makes it easy to use Ecore, Evas and
 Bullet Physics together. It's a kind of wrapper, a glue, between
 these libraries. It's not intended to be a physics library (we
 already have many out there).
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libevas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libevas1-engines-x | libevas1-engine,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libevas-loaders,
            libevas1-engines-drm,
            libevas1-engines-fb,
            libevas1-engines-wayland,
            libevas1-engines-x
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL advanced canvas library
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the core library and a set of image loaders
 and/or savers for various formats: eet, gif, jpeg, png, svg, tiff and
 xpm

Package: libevas1-engines-x
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
Description: Evas module providing the X11 engines
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engines-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines-extras, libevas1-engine-fb
Provides: libevas1-engine
Description: Evas module providing the Framebuffer engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the framebuffer Evas engine module.

Package: libevas1-engines-drm
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the DRM engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the DRM-related Evas engine modules.

Package: libevas1-engines-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all nocheck
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed -lm -ldl

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
	arch_flags += --with-opengl=es --enable-egl
endif
ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
	arch_flags += --enable-lua-old
	dhinstallflags += --exclude=elua
endif
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
	arch_flags += --disable-neon
endif


ifeq (linux,$(DEB_HOST_ARCH_OS))
	arch_flags += --enable-fb
endif
LETSBUILDINDEP := $(shell if dh_listpackages | grep -q efl-doc ; then \
	echo yes ;\
	else echo no ; fi)

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	docs_flag += --enable-doc
else
	docs_flag += --disable-doc
endif

ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
	silent_rules_flag += --disable-silent-rules
else
	# Dump doxygen stderr during a terse build.  Upstream uses a
	# verbose doxygen config, and this is much simpler than
	# patching terse build support into upstream config files.
	make_doc_redirect = 2> /dev/null
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --verbose -- \
	--disable-rpath \
	$(silent_rules_flag) \
	$(docs_flag) \
	--with-profile=release \
	--with-tests=none \
	--with-crypto=gnutls \
	--disable-tslib \
	--enable-liblz4 \
	--enable-xinput22 \
	--enable-image-loader-webp \
	--enable-harfbuzz \
	--enable-systemd \
	--enable-static \
	--enable-image-loader-webp \
	--with-generic_vlc \
	--enable-wayland \
	--enable-elput \
	--enable-drm \
	--enable-scim \
	$(arch_flags)

override_dh_auto_build:
	find -name '*shader*.x' -exec rm {} \;
	$(CURDIR)/debian/fake_home.sh env EFL_SHD_REGEN=1 \
		dh_auto_build --verbose
ifeq ($(filter yes,$(LETSBUILDINDEP)),yes)
	mkdir -p doc/html
	$(CURDIR)/debian/fake_home.sh $(MAKE) doc $(make_doc_redirect)
endif

override_dh_auto_build-indep:
	mkdir -p doc/html
	$(MAKE) doc $(make_doc_redirect)

# The install phase doesn't work reliably in parallel
# Force it to run with only 1 thread to avoid issues
override_dh_auto_install:
	$(MAKE) -j1 DESTDIR=$(CURDIR)/debian/tmp install

override_dh_install:
	dh_install $(dhinstallflags)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -plibefl-all-dev $(dhinstallflags) \
		usr/lib/*/libecore_fb.so
endif
	# remove unused file, fail otherwise
	rm -f debian/efl-doc/usr/share/doc/efl-doc/html/jquery.js
	if grep -qr jquery.js debian/efl-doc/usr/share/doc/efl-doc/html/ ; \
		then echo jquery is used ; false ; fi
	# this is shipped under /usr/share/docs
	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_clean:
	dh_clean
	find -name '*.luac' -exec rm {} \;

override_dh_installexamples:
	rm -f src/examples/Makefile src/examples/Makefile.in src/examples/Makefile.am
	rm -f src/examples/edje/Vera.ttf
	dh_installexamples

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## efl 1.23.3

=== meson_options.txt ===
option('audio',
  type : 'boolean',
  value : true,
  description : 'Audio support in efl'
)

option('avahi',
  type : 'boolean',
  value : true,
  description : 'Avahi (zeroconf) support in efl'
)

option('x11',
  type : 'boolean',
  value : true,
  description : 'X11 support in efl'
)

option('fb',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbocon) support in efl'
)

option('sdl',
  type : 'boolean',
  value : false,
  description : 'SDL support in efl'
)

option('wl',
  type : 'boolean',
  value : false,
  description : 'Wayland client support in efl'
)

option('buffer',
  type : 'boolean',
  value : false,
  description : 'Generic graphics buffer API support in efl'
)

option('drm',
  type : 'boolean',
  value : false,
  description : 'DRM/KMS advanced framebuffer/console support in efl'
)

option('cocoa',
  type : 'boolean',
  value : false,
  description : 'Apple MacOS cocoa support in efl'
)

option('physics',
  type : 'boolean',
  value : true,
  description : 'Physics engine (bullet) in efl'
)

option('eeze',
  type : 'boolean',
  value : true,
  description : 'Device abstraction (udev wrapper) in efl'
)

option('opengl',
  type : 'combo',
  choices : ['full', 'es-egl', 'none'],
  value : 'es-egl',
  description : 'Type of OpenGL support in efl'
)

option('build-id',
  type : 'string',
  value : 'none',
  description : 'The build id string for efl set as the EFL_BUILD_ID define')

option('eina-magic-debug',
  type : 'boolean',
  value : true,
  description : 'Magic number checking of eina structures in efl'
)

option('debug-threads',
  type : 'boolean',
  value : false,
  description : 'Thread debugging in efl'
)

option('build-examples',
  type : 'boolean',
  value : true,
  description : 'Compile examples'
)

option('build-tests',
  type : 'boolean',
  value : true,
  description : 'Compile tests'
)

option('crypto',
  type : 'combo',
  choices : ['gnutls', 'openssl'],
  value : 'openssl',
  description : 'Which SSL Crypto library used in efl'
)

option('glib',
  type : 'boolean',
  value : true,
  description : 'Main loop integration for glib in efl'
)

option('g-mainloop',
  type : 'boolean',
  value : false,
  description : 'Use glib to run the main loop in efl'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'GStreamer 1.0+ support in efl'
)

option('systemd',
  type : 'boolean',
  value : true,
  description : 'Systemd support in efl'
)

option('pulseaudio',
  type : 'boolean',
  value : true,
  description : 'Pulseaudio support for audio API'
)

option('network-backend',
  type : 'combo',
  choices : ['connman', 'none'],
  value : 'none',
  description : 'Connman support in efl'
)

option('xpresent',
  type : 'boolean',
  value : false,
  description : 'X11 XPresent extension support in efl'
)

option('xgesture',
  type : 'boolean',
  value : false,
  description : 'X11 XGesture support in efl'
)

option('xinput2',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.0+ support in efl'
)

option('xinput22',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.2+ support in efl'
)

option('tslib',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbcon) touchscreen tslib support in efl'
)

option('eject-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the eject binary, if "detect" internal eeze bins are used'
)

option('mount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the mount binary, if "detect" internal eeze bins are used'
)

option('unmount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the unmount binary, if "detect" internal eeze bins are used'
)

option('evas-modules',
  type : 'combo',
  choices : ['shared', 'static'],
  value : 'shared',
  description : 'Should modules be shared or statically inlined'
)

option('evas-loaders-disabler',
  type : 'array',
  description : 'List of modular image/vector loaders to disable in efl',
  choices : ['gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json'],
  value : ['webp', 'json']
)

option('ecore-imf-loaders-disabler',
  type : 'array',
  description : 'List of input methods to disable in efl',
  choices : ['xim', 'ibus', 'scim'],
  value : ['scim']
)

option('emotion-loaders-disabler',
  type : 'array',
  description : 'List of video back-ends to disable in efl',
  choices : ['gstreamer', 'gstreamer1', 'libvlc', 'xine'],
  value : ['gstreamer', 'libvlc', 'xine']
)

option('emotion-generic-loaders-disabler',
  type : 'array',
  description : 'List of out-of-process generic binary video loaders to disable in efl',
  choices : ['vlc'],
  value : ['vlc']
)

option('harfbuzz',
  type : 'boolean',
  value : true,
  description : 'Harfbuzz (complex text layout library) support in efl'
)

option('fribidi',
  type : 'boolean',
  value : true,
  description : 'Fribidi (right to left text layout library) support in efl'
)

option('fontconfig',
  type : 'boolean',
  value : true,
  description : 'Fontconfig (system font database) support in efl'
)

option('edje-sound-and-video',
  type : 'boolean',
  value : true,
  description : 'disable sound and video for edje'
)

option('pixman',
  type : 'boolean',
  value : false,
  description : 'Pixman software renderer support in efl'
)

option('hyphen',
  type : 'boolean',
  value : false,
  description : 'Hyphen text layout support in efl'
)

option('embedded-lz4',
  type : 'boolean',
  value : true,
  description : 'Use the embedded in-tree zlib r131 release instead of system zlib'
)

option('libmount',
  type : 'boolean',
  value : true,
  description : 'Libmount support for device mounting in efl'
)

option('vnc-server',
  type : 'boolean',
  value : false,
  description : 'VNS server support in efl for multiseat testing'
)

option('v4l2',
  type : 'boolean',
  value : true,
  description : 'Video v4l2 support'
)

option('elua',
  type : 'boolean',
  value : true,
  description : 'Lua launcher binary support in efl'
)

option('wl-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated wayland support in efl'
)

option('drm-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated DRM/KMS support in efl'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Localization'
)

option('bindings',
  type : 'array',
  choices : ['luajit', 'cxx', 'mono'],
  value : ['luajit', 'cxx'],
  description : 'Which auto-generated language bindings for efl to enable',
)

option('mono-beta',
  type: 'boolean',
  value: false,
  description: 'Mono/C# @beta Eo methods enabled in the efl'
)

option('mono-examples-dir',
  type: 'string',
  value: '',
  description: 'Where eolian_mono will search for examples to embed into the documentation'
)

option('lua-interpreter',
  type: 'combo',
  choices: ['luajit', 'lua'],
  value: 'luajit',
  description: 'Which Lua back-end library to use in efl'
)

option('native-arch-optimization',
  type: 'boolean',
  value: true,
  description: 'Enable architecture native optimizations in efl'
)

option('elogind',
  type : 'boolean',
  value : false,
  description : 'elogind support in efl (subset of systemd)'
)

option('windows-version',
  type : 'combo',
  choices : ['vista', 'win7', 'win8', 'win81', 'win10'],
  value : 'win7',
  description : 'When on Windows, compile efl with the specified Windows version'
)

option('dictionaries-hyphen-dir',
  type : 'string',
  value : '/usr/share/hyphen/',
  description : 'The path to the hyphen dictionaries directory'
)

option('elementary-base-dir',
  type : 'string',
  value : '.elementary',
  description : 'The name of the directory for user supplied elementary data files like themes, config files'
)

option('install-eo-files',
  type: 'boolean',
  value: false,
  description : 'Install any eo file'
)

option('mono-friend-assemblies',
  type : 'array',
  value : [],
  description : 'List of friend assemblies that can access efl_mono assembly\'s internal types and members.'
)

=== debian/changelog ===
efl (1.23.3-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #951413)
    + Missing include pkg-info.mk.
    + Add required cross build depends on lib*-bin from efl.
    + Mark relevant lib*-bin packages Multi-Arch: foreign.

  [ Ross Vandegrift ]
  * Move elementary_test and elementary_perf into libelementary-bin.
    Upstream requests these be available for helping users troubleshoot.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 23 Feb 2020 22:14:57 -0800

efl (1.23.3-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add new binary package libeolian-bin.
    Improve cross building: Move eolian_gen to libeolian-bin which can be
    Multi-Arch: foreign and used in Build-Depends. (Closes: #950420)

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 04 Feb 2020 21:02:37 -0800

efl (1.23.3-6) unstable; urgency=medium

  * Upload to unstable (Closes: #949351)
  * d/gbp.conf: update config to point to debian/sid branch.
  * d/control: update to Standards-Version 4.5.0, no changes needed.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 29 Jan 2020 22:19:24 -0800

efl (1.23.3-5) experimental; urgency=low

  * libefl-all-dev:
    + add some missing Depends that appear in EFL .pc files
    + adjust Depends to line up with Build-Depends.  Restrict
    libblkid-dev, libmount-dev, libudev-dev to linux-any.  Swap libdrm-dev
    for mesa-common-dev.
  * Use -X to avoid installing Vera.ttf, rm breaks re-builds

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 25 Dec 2019 22:52:59 -0800

efl (1.23.3-4) experimental; urgency=low

  * d/p/25_edje_check_luaold.diff: ensure that edje.pc gets a correct
    Requires entry on arm64 & s390x.  (Closes: #946130)

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 24 Dec 2019 20:00:18 -0800

efl (1.23.3-3) experimental; urgency=low

  * d/control:
    + Build-Depend on libx11-xcb-dev. This fixes FTBFS with mesa >= 19.3.
    + wrap-and-sort -tvs
  * d/copyright:
    + minor lintian cleanups
    + fix test data copyright attribution
  * d/p/99-fix-shader-regen.diff: re-add missing dep3 header

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 23 Dec 2019 18:00:39 -0800

efl (1.23.3-2) experimental; urgency=low

  * Disable EFL test suite again.  There are still too many issues to be
    able to rely on it, especially on architectures others than non-amd64.

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 29 Nov 2019 17:15:06 -0800

efl (1.23.3-1) experimental; urgency=medium

  * New upstream release.

  * Bump all eo symbol versions for 1.23.3 release
  * Disable eina value tests on 32-bit arches.  According to upstream,
    they are known to fail.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 27 Nov 2019 21:14:48 -0800

efl (1.23.2-2) experimental; urgency=medium

  * Disable native arch optimization on armel to fix FTBFS without NEON
  * d/rules: separate lua & fb flags from arch flags
  * d/control: add missing libxkbcommon-x11-dev dep to libefl-all-dev and drop
    unnecessary dep/build-dep on libxkbcommon-dev
  * Increase test timeout to 60s to help FTFBS on armhf, mipsel, and
    mipsel64

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 24 Nov 2019 19:36:21 -0800

efl (1.23.2-1) experimental; urgency=medium

  * New upstream release.

  [ Andreas Metzler ]
  * Fix typo in changelog entry.

  [ Ross Vandegrift ]
  * Re-enable running the EFL test suite.
  * update salsa-ci pipeline to current style of job skipping
  * Disable salsa-ci pipeline for EFL
  * d/patches:
    + 20_disable_doxygen_timestamps.diff: defuzz
    + d/p/30_drop_crashing_widget_previews.diff: skip crashing widget previews
  * Run tests in a dbus session
  * Convert build system from autotools to meson
    + drop d/p/95-parallel-previews.diff, unnecessary
    + drop static libraries, upstream no longer builds them
    + cxx bindings are disabled, drop them from installation
    + update shader regen to ensure they are built from their source
    + d/control: drop Build-Depends for full gl.
    + d/p/000[4-6]*.patch, cherry-pick fixes for evas loaders/savers.  These
      patches fix a bug in the release which causes all evas modules to be
      built static.
    + fix documentation installation
    + d/p/45_disable_doc_pack.diff, port to meson
    + fix installation paths that changed since autotools
    + Update gdb python helper installation path
  * Bump all eo symbol versions for 1.23.2 release
  * Add new symbols for 1.23.2 release
  * update engines install files for new 1.23 modules
  * exclude .gitignore files from example installations
  * Add lintian overrides for a not-linked-against-libc false positive 
  * Build with -O3 to match upstream default. Previous packages used -O2.
    But -O2 is now causing leakage of libbullet c++ symbols in libephysics1.
  * d/copyright: adopt cme for management, update for new release
  * libefl-all-dev:
    + install some debugging binaries in libefl-all-dev
    + Install both ethumb_client pkgconfig files in libefl-all-dev
    + Depends on libunwind-dev when available
  * libeina1a: add missing Breaks on libevas1-engines-wayland
  * libevas1: distribute buffer engine.  Even though this seems like a dev
    tool, enlightenment segfaults if this is missing at runtime.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 16 Nov 2019 14:38:37 -0800

=== debian/control ===
--- 
+++ 
@@ -1,80 +1,83 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Albin Tonnerre <lutin@debian.org>,
-           Ross Vandegrift <rvandegrift@debian.org>,
-           Andreas Metzler <ametzler@debian.org>
-Build-Depends: autopoint,
-               debhelper-compat (= 12),
-               libavahi-client-dev,
-               libblkid-dev [linux-any],
-               libbullet-dev,
-               libcurl4-gnutls-dev,
-               libdbus-1-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
-               libfribidi-dev,
-               libgbm-dev,
-               libgcrypt-dev,
-               libgif-dev,
-               libgl1-mesa-dev [!armel !armhf],
-               libgles2-mesa-dev [armel armhf],
-               libglib2.0-dev,
-               libglu1-mesa-dev,
-               libgnutls28-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
-               libharfbuzz-dev,
-               libibus-1.0-dev,
-               libinput-dev,
-               libjpeg-dev,
-               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
-               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
-               liblz4-dev,
-               libmount-dev [linux-any],
-               libpixman-1-dev,
-               libpng-dev,
-               libpoppler-cpp-dev,
-               libpulse-dev,
-               libraw-dev,
-               librsvg2-dev,
-               libscim-dev,
-               libsndfile-dev,
-               libspectre-dev,
-               libsystemd-dev,
-               libtiff-dev,
-               libudev-dev [linux-any],
-               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libvlc-dev,
-               libwayland-dev,
-               libwebp-dev,
-               libx11-dev,
-               libxcb-image0-dev,
-               libxcb-shm0-dev,
-               libxcb1-dev,
-               libxcomposite-dev,
-               libxcursor-dev,
-               libxdamage-dev,
-               libxext-dev,
-               libxi-dev,
-               libxinerama-dev,
-               libxkbcommon-dev,
-               libxkbcommon-x11-dev,
-               libxpm-dev,
-               libxrandr-dev,
-               libxrender-dev,
-               libxss-dev,
-               libxtst-dev,
-               mesa-common-dev,
-               pkg-config,
-               systemd,
-               wayland-protocols,
-               x11proto-xext-dev,
-               zlib1g-dev
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Uploaders:
+ Albin Tonnerre <lutin@debian.org>,
+ Ross Vandegrift <rvandegrift@debian.org>,
+ Andreas Metzler <ametzler@debian.org>,
+Build-Depends:
+ debhelper-compat (= 12),
+ libavahi-client-dev,
+ libblkid-dev [linux-any],
+ libbullet-dev,
+ libcurl4-gnutls-dev,
+ libdbus-1-dev,
+ libedje-bin <cross>,
+ libeet-bin <cross>,
+ libelementary-bin <cross>,
+ libeolian-bin <cross>,
+ libfontconfig1-dev,
+ libfreetype6-dev,
+ libfribidi-dev,
+ libgbm-dev,
+ libgcrypt-dev,
+ libgif-dev,
+ libgles2-mesa-dev,
+ libglib2.0-dev,
+ libgnutls28-dev,
+ libgstreamer-plugins-base1.0-dev,
+ libgstreamer1.0-dev,
+ libharfbuzz-dev,
+ libibus-1.0-dev,
+ libinput-dev,
+ libjpeg-dev,
+ liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
+ libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ liblz4-dev,
+ libmount-dev [linux-any],
+ libpixman-1-dev,
+ libpng-dev,
+ libpoppler-cpp-dev,
+ libpulse-dev,
+ libraw-dev,
+ librsvg2-dev,
+ libscim-dev,
+ libsndfile-dev,
+ libspectre-dev,
+ libsystemd-dev,
+ libtiff-dev,
+ libudev-dev [linux-any],
+ libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+ libvlc-dev,
+ libwayland-dev,
+ libwebp-dev,
+ libx11-dev,
+ libx11-xcb-dev,
+ libxcb-image0-dev,
+ libxcb-shm0-dev,
+ libxcb1-dev,
+ libxcomposite-dev,
+ libxcursor-dev,
+ libxdamage-dev,
+ libxext-dev,
+ libxi-dev,
+ libxinerama-dev,
+ libxkbcommon-x11-dev,
+ libxpm-dev,
+ libxrandr-dev,
+ libxrender-dev,
+ libxss-dev,
+ libxtst-dev,
+ mesa-common-dev,
+ meson,
+ pkg-config,
+ systemd,
+ wayland-protocols,
+ x11proto-xext-dev,
+ zlib1g-dev,
 Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
 Homepage: https://www.enlightenment.org
@@ -86,24 +89,27 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libeina0, libeina1
-Breaks: libecore-bin (<= ${source:Upstream-Version}),
-        libedje-bin (<= ${source:Upstream-Version}),
-        libeet-bin (<= ${source:Upstream-Version}),
-        libeet1 (<= 1.4.0~beta+1.4.0),
-        libeeze-bin (<= ${source:Upstream-Version}),
-        libefreet-bin (<= ${source:Upstream-Version}),
-        libeina-bin (<= ${source:Upstream-Version}),
-        libeina1 (<= 1.18.1-2),
-        libelementary-bin (<= ${source:Upstream-Version}),
-        libelementary-data (<= ${source:Upstream-Version}),
-        libelua-bin (<= ${source:Upstream-Version}),
-        libembryo-bin (<= ${source:Upstream-Version}),
-        libemotion-players (<= ${source:Upstream-Version}),
-        libethumb-client-bin (<= ${source:Upstream-Version}),
-        libevas-loaders (<= ${source:Upstream-Version}),
-        libevas1-engines-drm (<= ${source:Upstream-Version}),
-        libevas1-engines-fb (<= ${source:Upstream-Version}),
-        libevas1-engines-x (<= ${source:Upstream-Version})
+Breaks:
+ libecore-bin (<= ${source:Upstream-Version}),
+ libedje-bin (<= ${source:Upstream-Version}),
+ libeet-bin (<= ${source:Upstream-Version}),
+ libeet1 (<= 1.4.0~beta+1.4.0),
+ libeeze-bin (<= ${source:Upstream-Version}),
+ libefreet-bin (<= ${source:Upstream-Version}),
+ libeina-bin (<= ${source:Upstream-Version}),
+ libeina1 (<= 1.18.1-2),
+ libelementary-bin (<= ${source:Upstream-Version}),
+ libelementary-data (<= ${source:Upstream-Version}),
+ libelua-bin (<= ${source:Upstream-Version}),
+ libembryo-bin (<= ${source:Upstream-Version}),
+ libemotion-players (<= ${source:Upstream-Version}),
+ libeolian-bin (<= ${source:Upstream-Version}),
+ libethumb-client-bin (<= ${source:Upstream-Version}),
+ libevas-loaders (<= ${source:Upstream-Version}),
+ libevas1-engines-drm (<= ${source:Upstream-Version}),
+ libevas1-engines-fb (<= ${source:Upstream-Version}),
+ libevas1-engines-wayland (<= ${source:Upstream-Version}),
+ libevas1-engines-x (<= ${source:Upstream-Version}),
 Description: EFL optimized data types
  The Eina library is a library which implements an API for data types
  in an efficient way. It also provides some useful tools like opening
@@ -151,6 +157,7 @@
 
 Package: libeet-bin
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: EFL file chunk reading/writing - utilities
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a
@@ -201,14 +208,16 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libevas1-engines-x | libevas1-engine,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libevas-loaders,
-            libevas1-engines-drm,
-            libevas1-engines-fb,
-            libevas1-engines-wayland,
-            libevas1-engines-x
+Depends:
+ libevas1-engines-x | libevas1-engine,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ libevas-loaders,
+ libevas1-engines-drm,
+ libevas1-engines-fb,
+ libevas1-engines-wayland,
+ libevas1-engines-x,
 Breaks: libeina1a (<< ${source:Upstream-Version})
 Description: EFL advanced canvas library
  Evas is a clean display canvas API for several target display systems
@@ -299,3 +308,28 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Replaces: libevas-engines, libevas-engines-extras
+Provides: libevas1-engine
+Description: Evas module providing the Wayland engine
+ Evas is a clean display canvas API for several target display systems
+ that can draw anti-aliased text, smooth super- and sub-sampled scaled
+ images, alpha-blend objects and more.
+ .
+ It abstracts the graphics drawing characteristics of the display
+ system by implementing a canvas where graphical objects can be
+ created, manipulated, and modified. It then handles the rendering
+ pipeline in an optimal way for the underlying device in order to
+ minimize redraws, via a programmatically efficient API.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+ .
+ This package contains the Wayland-related Evas engine modules.
+
+Package: libecore1
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Description: EFL core abstraction layer

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# -O3 is used by default with the meson build.  -O2 triggers cxx weak
# -symbols in libephysics1 that shouldn't be there.
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
	lua_flags = -Dlua-interpreter=lua -Delua=false
	dhinstallflags += --exclude=elua
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel))
	arch_flags += -Dnative-arch-optimization=false
endif
LETSBUILDINDEP := $(shell if dh_listpackages | grep -q efl-doc ; then \
	echo yes ;\
	else echo no ; fi)

ifeq (linux,$(DEB_HOST_ARCH_OS))
	fb_flags += -Dfb=true
endif

%:
	dh $@

override_dh_auto_configure:
# cross-builds need host eolian_gen, but ensure the versions match
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W libedje-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeet-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libelementary-bin`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeolian-bin`" = "$(DEB_VERSION)"
endif

	dh_auto_configure --verbose -- \
		-Dcrypto=gnutls \
		-Dtslib=false \
		-Dembedded-lz4=false \
		-Devas-loaders-disabler=json \
		-Dbindings=luajit \
		-Decore-imf-loaders-disabler= \
		-Dnetwork-backend=none \
		-Dwl=true \
		-Ddrm=true \
		-Dbuild-tests=false \
		$(arch_flags) \
		$(fb_flags) \
		$(lua_flags)

override_dh_auto_build:
	# ensure shaders are rebuilt from sources
	find -name '*shader*.x' -exec rm {} \;
	cd src && lib/ector/gl/shader/gen_shaders.sh
	cd src && modules/evas/engines/gl_common/shader/gen_shaders.sh
	# the order of these fragments ensures the output matches upstream
	cd src && modules/evas/engines/gl_common/shader_3d/gen_shaders_3d.sh \
		modules/evas/engines/gl_common/shader_3d/vertex_color_vert.shd \
		modules/evas/engines/gl_common/shader_3d/vertex_color_frag.shd \
		modules/evas/engines/gl_common/shader_3d/diffuse_vert.shd \
		modules/evas/engines/gl_common/shader_3d/diffuse_frag.shd \
		modules/evas/engines/gl_common/shader_3d/flat_vert.shd \
		modules/evas/engines/gl_common/shader_3d/flat_frag.shd \
		modules/evas/engines/gl_common/shader_3d/phong_vert.shd \
		modules/evas/engines/gl_common/shader_3d/phong_frag.shd \
		modules/evas/engines/gl_common/shader_3d/normal_map_vert.shd \
		modules/evas/engines/gl_common/shader_3d/normal_map_frag.shd \
		modules/evas/engines/gl_common/shader_3d/shadow_map_vert.shd \
		modules/evas/engines/gl_common/shader_3d/shadow_map_frag.shd \
		modules/evas/engines/gl_common/shader_3d/color_pick_vert.shd \
		modules/evas/engines/gl_common/shader_3d/color_pick_frag.shd \
		modules/evas/engines/gl_common/shader_3d/parallax_occlusion_vert.shd \
		modules/evas/engines/gl_common/shader_3d/parallax_occlusion_frag.shd \
		modules/evas/engines/gl_common/shader_3d/post_processing_fxaa_vert.shd \
		modules/evas/engines/gl_common/shader_3d/post_processing_fxaa_frag.shd

	$(CURDIR)/debian/fake_home.sh env \
		dh_auto_build --verbose
ifeq ($(filter yes,$(LETSBUILDINDEP)),yes)
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
endif

override_dh_auto_build-indep:
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc

override_dh_install:
	dh_install $(dhinstallflags)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -plibefl-all-dev $(dhinstallflags) \
		usr/lib/*/libecore_fb.so
endif
	# remove unused file, fail otherwise
	rm -f obj-$(DEB_HOST_GNU_TYPE)/html/jquery.js
	if grep -qr jquery.js obj-$(DEB_HOST_GNU_TYPE)/html/ ; \
		then echo jquery is used ; false ; fi
	# this is shipped under /usr/share/docs
	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_clean:
	dh_clean
	find -name '*.luac' -exec rm {} \;

override_dh_installexamples:
	dh_installexamples -X.gitignore -XVera.ttf

override_dh_auto_test-indep:

override_dh_auto_test-arch:

override_dh_installman:
	dh_installman
	dh_installman -pefl-doc --sourcedir obj-$(DEB_HOST_GNU_TYPE)

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
